Katello - Bug #4615

subscription-manager list --available fails on client system
03/10/2014 03:09 PM - Erik Jacobs
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Pull request:

Description

On client system:
[root@client-10 log]# subscription-manager list --available
Error updating system data on the server, see /var/log/rhsm/rhsm.log for more details.

From rhsm.log:

RemoteServerException: Server returned 404

2014-03-10 11:08:37,099 [ERROR] @managercli.py:115 - exception caught in subscription-manager
2014-03-10 11:08:37,099 [ERROR] @managercli.py:116 - Error updating system data on the server, see /var/log/rhsm/rhsm.log for
more details.

Traceback (most recent call last):

File "/usr/sbin/subscription-manager", line 88, in <module>

sys.exit(abs(main() or 0))

File "/usr/sbin/subscription-manager", line 79, in main

return managercli.ManagerCLI().main()

File "/usr/share/rhsm/subscription_manager/managercli.py”, line 2085, in main

return CLI.main(self)

File "/usr/share/rhsm/subscription_manager/cli.py", line 156, in main

return cmd.main()

File "/usr/share/rhsm/subscription_manager/managercli.py”, line 424, in main

return_code = self._do_command()

File "/usr/share/rhsm/subscription_manager/managercli.py”, line 1906, in do_command
self.facts, self.options.all, on_date)

File "/usr/share/rhsm/subscription_manager/managerlib.py”, line 326, in getAvailableEntitlements
dlist = list_pools(cpserver, consumer_uuid, facts, get_all, active_on)

File "/usr/share/rhsm/subscription_manager/managerlib.py", line 298, in list_pools
facts.update_check(uep, consumer_uuid)

File "/usr/share/rhsm/subscription_manager/cache.py”, line 172, in update _check

raise Exception(("Error updating system data on the server, see /var/log/rhsm/rhsm.log "
Exception: Error updating system data on the server, see /var/log/rhsm/rhsm.log for more details.

From foreman.log:

Processing by Katello::Api::V1::RootController#resource_list as JSON
Parameters: {"api_version"=>"v1", "root"=>{}}

Completed 200 OK in 20ms (Views: 2.2ms | ActiveRecord: 0.0ms)
Processing by Katello::Api::V1::PingController#server_status as JSON
Parameters: {"api_version"=>"v1", "ping"=>{}}

Completed 200 OK in 1ms (Views: 0.2ms | ActiveRecord: 0.0ms)
Processing by Katello::Api::V1::PingController#server_status as JSON
Parameters: {"api_version"=>"v1", "ping"=>{}}

Completed 200 OK in 1ms (Views: 0.1ms | ActiveRecord: 0.0ms)

ActionController::RoutingError (No route matches [PUT] "/katello/api/consumers/309e8785-194a-49c0-abf5-d362b6731cde"):
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in “process_request’
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in
“accept_and_process_next_request’
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in “main_loop'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in “block (3 levels) in start_threads'

Associated revisions

Revision 69dccdc0 - 03/11/2014 06:28 PM - Eric Helms

Fixes #4615: Add missing route that allows RHSM to update consumer facts
and update APl authentication check to account for authentication order.

Revision 27¢26580 - 03/11/2014 07:24 PM - Eric Helms
Merge pull request #3792 from ehelms/fixes-4615

Fixes #4615: Adds missing routing from consumer to V1 systems that provi...

History

#1 - 03/10/2014 03:22 PM - Erik Jacobs

foreman-1.5.0-0.develop.201403071828gite4d8817.el6.noarch
foreman-postgresql-1.5.0-0.develop.201403071828gite4d8817.el6.noarch
foreman-proxy-1.5.0-0.develop.201402201704gita25e7b9.el6.noarch
foreman-release-1.5.0-0.develop.201403071828gite4d8817.el6.noarch
katello-1.5.0-14.201403071827gitObda7f5.el6.noarch
katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.el6.noarch
katello-installer-0.0.19-1.201403072013gita7ceec1.el6.noarch
katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch
pulp-katello-plugins-0.2-1.el6.noarch
ruby193-rubygem-foreman-tasks-0.3.5-1.el6.noarch
ruby193-rubygem-katello-1.5.0-10.201403071827git0bda7f5.el6.noarch
rubygem-foreman_api-0.1.11-1.el6.noarch
rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch
rubygem-hammer_cli_katello-0.0.3-1.el6.noarch
rubygem-katello_api-0.0.8-1.el6.noarch

#2 - 03/10/2014 03:25 PM - Erik Jacobs
- File rhsm.log added

registration:

[root@client-10 ~]# subscription-manager register --environment=Library --org=ACME_Corporation
Username: admin

Password:

The system has been registered with id: 309e8785-194a-49¢0-abf5-d362b6731cde

#3 - 03/11/2014 07:52 PM - Eric Helms
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:69dccdc02257f0274c3ef84110537d9faee83caa.

#4 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#5 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13

Files
rhsm.log 93.1 KB 03/10/2014 Erik Jacobs
